<template>
  <div class="separator">
    <div class="addBtn">
      <Icon class="icon" size="28px" src="plus" color="var(--color)"/>
    </div>
  </div>
</template>

<script>
import Icon from "ac/Icon";

export default {
  components: {
    Icon
  },
  computed: {
    pageTitle(){
      return this.$route.meta.title || "Страница";
    }
  }
};
</script>

<style scoped lang="scss">
  .separator{
    position: absolute;
    height: 32px;
    width: 50%;
    transform: translateY(-50%) translateX(-50%);
    left: 50%;
    transition: 0.3s ease all;
    opacity: 0.3;
    z-index: 2;

    &:first-of-type{
      transform: translateY(10px) translateX(-50%);
    }

    &::after{
      content: "";
      height: 2px;
      position: absolute;
      left: 0;
      right: 0;
      top: 50%;
      transform: translateY(-50%);
      background: linear-gradient(to right, #AEAEAE,#FFFFFF,#AEAEAE);
    }

    .addBtn{
      z-index: 2;
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translateY(-50%) translateX(-50%);

      border-radius: 50%;
      height: 48px;
      width: 48px;
      background: #FFFFFF;
      border: 1px solid #AEAEAE;

      display: flex;
      align-items: center;
      justify-content: center;

      --color: #2D9CDB;

      transform: translateY(-50%) translateX(-50%) scale(0.8);
      transition: 0.4s ease all;
    }

    
    &:hover{
      opacity: 1;

      .addBtn{
        transform:translateY(-50%) translateX(-50%) scale(1);
        box-shadow: 0 0 4px #00000050;
      }
    }
  }
</style>
